REMUNGE(1)

NAME
remunge - MUNGE credential benchmark

SYNOPSIS
remunge [OPTION]...

DESCRIPTION
The remunge program benchmarks the performance of MUNGE. A benchmark runs for the specified duration or until the specified number of credentials are processed, whichever comes first. At its conclusion, the number of credentials processed per second is written to stdout.

By default, credentials are encoded for one second using a single thread.

OPTIONS

-h, --help
    Display a summary of the command-line options.

-L, --license
    Display license information.

-V, --version
    Display version information.

-q, --quiet
    Display only the creds/sec numeric result. This is useful for producing input files for ministat.

-c, --cipher string
    Specify the cipher type, either by name or number.

-C, --list-ciphers
    Display a list of supported cipher types.

-m, --mac string
    Specify the MAC type, either by name or number.

-M, --list-macs
    Display a list of supported MAC types.

-z, --zip string
    Specify the compression type, either by name or number.

-Z, --list-zips
    Display a list of supported compression types.

-e, --encode
    Encode (but do not decode) each credential. By bypassing the decode operation, the credential is not stored in the replay cache.

-d, --decode
    Encode and decode each credential.

-l, --length integer
    Specify an arbitrary payload length (in bytes). The integer may be followed by a single-character modifier: k=kilobytes, m=megabytes, g=gigabytes; K=kibibytes, M=mebibytes, G=gibibytes.

-u, --restrict-uid uid
    Specify the user name or UID allowed to decode the credential. This will be matched against the effective user ID of the process requesting the credential decode.

-g, --restrict-gid gid
    Specify the group name or GID allowed to decode the credential. This will be matched against the effective group ID of the process requesting the credential decode, as well as each supplementary group of which the effective user ID of that process is a member.

-t, --ttl integer
    Specify the time-to-live (in seconds). This controls how long the credential is valid once it has been encoded. A value of 0 selects the default TTL. A value of -1 selects the maximum allowed TTL.

-S, --socket path
    Specify the local domain socket for connecting with munged.

-D, --duration integer
    Specify the test duration (in seconds). The default duration is one second. A value of -1 selects the maximum duration. The integer may be followed by a single-character modifier: s=seconds, m=minutes, h=hours, d=days.

-N, --num-creds integer
    Specify the number of credentials to generate. The integer may be followed by a single-character modifier: k=kilobytes, m=megabytes, g=gigabytes; K=kibibytes, M=mebibytes, G=gibibytes.

-T, --num-threads integer
    Specify the number of threads to spawn for processing credentials.

-W, --warn-time integer
    Specify the maximum number of seconds to allow for a given munge_encode() or munge_decode() operation before issuing a warning.

EXIT STATUS
The remunge program returns a zero exit code if the benchmark completes. On error, it prints an error message to stderr and returns a non-zero exit code.

AUTHOR
Chris Dunlap <cdunlap@llnl.gov>

COPYRIGHT
Copyright (C) 2007-2013 Lawrence Livermore National Security, LLC.
Copyright (C) 2002-2007 The Regents of the University of California.

MUNGE is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Additionally for the MUNGE library (libmunge), you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
munge(1), unmunge(1), munge(3), munge_ctx(3), munge_enum(3), munge(7), munged(8).

https://munge.googlecode.com/